//Javascript for PHP stuff at Resourcelinks.org


function Check_GB_Fields( name_field, message_field)
{
	var message = "Please enter a name AND a message.  Thank you!";
	if( (document.getElementById( name_field ).value == "") || (document.getElementById( message_field ).value == "") )
	{
		alert( message );
		return false;
	}
	else { return true; }
}

function News_Picture( link )
{
	link = "../rlinkspages/picture.htm?id=" + link;
	
	window.open( link, "_blank", "width=620, height=465, scrollbars=no, resizable=yes" );
}

function Landscape_Picture( link )
{
	link = "../rlinkspages/ls_picture.htm?id=" + link;
	
	window.open( link, "_blank", "width=800, height=640, scrollbars=yes, resizable=yes" );
}

function EditDisplay()
{
	document.getElementById('news').style.visibility = 'hidden';
	document.getElementById('requests').style.visibility = 'hidden';
	document.getElementById('big_requests').style.visibility = 'hidden';
	document.getElementById('great_stuff').style.visibility = 'hidden';
	
	var selected_post = document.getElementById('edit_type').value;
	
	document.getElementById(selected_post).style.visibility = 'visible';
}